SUSE Security Update: Security update for xen
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:0931-1
Rating:             important
References:         #1196915 
Cross-References:   CVE-2021-26401 CVE-2022-0001 CVE-2022-0002
                   
CVSS scores:
                    CVE-2021-26401 (NVD) : 5.6 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N
                    CVE-2021-26401 (SUSE): 5.6 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N
                    CVE-2022-0001 (NVD) : 6.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:N/A:N
                    CVE-2022-0001 (SUSE): 5.6 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N
                    CVE-2022-0002 (NVD) : 6.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:N/A:N
                    CVE-2022-0002 (SUSE): 5.6 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N

Affected Products:
                    SUSE CaaS Platform 4.0
                    SUSE Enterprise Storage 6
                    SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS
                    SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS
                    SUSE Linux Enterprise Server 15-SP1-BCL
                    SUSE Linux Enterprise Server 15-SP1-LTSS
                    SUSE Linux Enterprise Server for SAP 15-SP1
______________________________________________________________________________

   An update that fixes three vulnerabilities is now available.

Description:

   This update for xen fixes the following issues:

   Transient execution side-channel attacks attacking the Branch History
   Buffer (BHB), named "Branch Target Injection" and "Intra-Mode Branch
   History Injection" are now mitigated.

   - CVE-2022-0001, CVE-2022-0002, CVE-2021-26401: BHB speculation issues
     (bsc#1196915).


Special Instructions and Notes:

   Please reboot the system after installing this update.

Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 15-SP1:

      zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP1-2022-931=1

   - SUSE Linux Enterprise Server 15-SP1-LTSS:

      zypper in -t patch SUSE-SLE-Product-SLES-15-SP1-LTSS-2022-931=1

   - SUSE Linux Enterprise Server 15-SP1-BCL:

      zypper in -t patch SUSE-SLE-Product-SLES-15-SP1-BCL-2022-931=1

   - SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-SP1-LTSS-2022-931=1

   - SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-SP1-ESPOS-2022-931=1

   - SUSE Enterprise Storage 6:

      zypper in -t patch SUSE-Storage-6-2022-931=1

   - SUSE CaaS Platform 4.0:

      To install this update, use the SUSE CaaS Platform 'skuba' tool. It
      will inform you if it detects new updates and let you then trigger
      updating of the complete cluster in a controlled way.



Package List:

   - SUSE Linux Enterprise Server for SAP 15-SP1 (x86_64):

      xen-4.12.4_20-3.63.1
      xen-debugsource-4.12.4_20-3.63.1
      xen-devel-4.12.4_20-3.63.1
      xen-libs-4.12.4_20-3.63.1
      xen-libs-debuginfo-4.12.4_20-3.63.1
      xen-tools-4.12.4_20-3.63.1
      xen-tools-debuginfo-4.12.4_20-3.63.1
      xen-tools-domU-4.12.4_20-3.63.1
      xen-tools-domU-debuginfo-4.12.4_20-3.63.1

   - SUSE Linux Enterprise Server 15-SP1-LTSS (x86_64):

      xen-4.12.4_20-3.63.1
      xen-debugsource-4.12.4_20-3.63.1
      xen-devel-4.12.4_20-3.63.1
      xen-libs-4.12.4_20-3.63.1
      xen-libs-debuginfo-4.12.4_20-3.63.1
      xen-tools-4.12.4_20-3.63.1
      xen-tools-debuginfo-4.12.4_20-3.63.1
      xen-tools-domU-4.12.4_20-3.63.1
      xen-tools-domU-debuginfo-4.12.4_20-3.63.1

   - SUSE Linux Enterprise Server 15-SP1-BCL (x86_64):

      xen-4.12.4_20-3.63.1
      xen-debugsource-4.12.4_20-3.63.1
      xen-devel-4.12.4_20-3.63.1
      xen-libs-4.12.4_20-3.63.1
      xen-libs-debuginfo-4.12.4_20-3.63.1
      xen-tools-4.12.4_20-3.63.1
      xen-tools-debuginfo-4.12.4_20-3.63.1
      xen-tools-domU-4.12.4_20-3.63.1
      xen-tools-domU-debuginfo-4.12.4_20-3.63.1

   - SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (x86_64):

      xen-4.12.4_20-3.63.1
      xen-debugsource-4.12.4_20-3.63.1
      xen-devel-4.12.4_20-3.63.1
      xen-libs-4.12.4_20-3.63.1
      xen-libs-debuginfo-4.12.4_20-3.63.1
      xen-tools-4.12.4_20-3.63.1
      xen-tools-debuginfo-4.12.4_20-3.63.1
      xen-tools-domU-4.12.4_20-3.63.1
      xen-tools-domU-debuginfo-4.12.4_20-3.63.1

   - SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (x86_64):

      xen-4.12.4_20-3.63.1
      xen-debugsource-4.12.4_20-3.63.1
      xen-devel-4.12.4_20-3.63.1
      xen-libs-4.12.4_20-3.63.1
      xen-libs-debuginfo-4.12.4_20-3.63.1
      xen-tools-4.12.4_20-3.63.1
      xen-tools-debuginfo-4.12.4_20-3.63.1
      xen-tools-domU-4.12.4_20-3.63.1
      xen-tools-domU-debuginfo-4.12.4_20-3.63.1

   - SUSE Enterprise Storage 6 (x86_64):

      xen-4.12.4_20-3.63.1
      xen-debugsource-4.12.4_20-3.63.1
      xen-devel-4.12.4_20-3.63.1
      xen-libs-4.12.4_20-3.63.1
      xen-libs-debuginfo-4.12.4_20-3.63.1
      xen-tools-4.12.4_20-3.63.1
      xen-tools-debuginfo-4.12.4_20-3.63.1
      xen-tools-domU-4.12.4_20-3.63.1
      xen-tools-domU-debuginfo-4.12.4_20-3.63.1

   - SUSE CaaS Platform 4.0 (x86_64):

      xen-4.12.4_20-3.63.1
      xen-debugsource-4.12.4_20-3.63.1
      xen-devel-4.12.4_20-3.63.1
      xen-libs-4.12.4_20-3.63.1
      xen-libs-debuginfo-4.12.4_20-3.63.1
      xen-tools-4.12.4_20-3.63.1
      xen-tools-debuginfo-4.12.4_20-3.63.1
      xen-tools-domU-4.12.4_20-3.63.1
      xen-tools-domU-debuginfo-4.12.4_20-3.63.1


References:

   https://www.suse.com/security/cve/CVE-2021-26401.html
   https://www.suse.com/security/cve/CVE-2022-0001.html
   https://www.suse.com/security/cve/CVE-2022-0002.html
   https://bugzilla.suse.com/1196915